<style >
    .btn-group button{
        height:30px;}
    
    .amount {
        text-align: right !important;
        font-weight: bold !important;
    }
    
    .center {
        text-align: center !important;
    }



</style>
<script type="application/javascript">
   
   $(document).ready(function(){
	$('select').select2();
	$.each($(".select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });	
        jQuery('.datepicker2').datepicker({
                dateFormat : 'dd-mm-yy',
                changeMonth : true,
                changeYear : true
        });
});


    function refreshProject(){
        $.ajax({
        type: "POST",
        url: "<?php echo base_url() ?>project/refreshProject",
        success: function(data) {

        var resul = eval ("(" + data + ")"); 
        var n=resul.records.length;
        var i=0;
        var opt='' +
        '<option></option>';
        for (i=0;i<n;i++)
        opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].projectName + '</option>';
        $('#project').empty();
        $('#project').append(opt);
        }
        });
    }
    
    function displaybanksInfos() {
       $("#acctNo").val($("#bank option:selected").attr("data-bankAccountNo"));
   }
    
    function  activateOrDesactivate(me){
        if($(me).is(':checked')){
             var tr = $(me).parent().parent();
              v = $(tr).find("td").eq(4).text();
             $(tr).find("td").eq(5).children("input:last-child").removeAttr("disabled");
             $(tr).find("td").eq(6).children("input:last-child").removeAttr("disabled");
              $(tr).find("td").eq(5).children("input:last-child").val("0");
              $(tr).find("td").eq(6).children("input:last-child").val(v);
        }else {
            var tr = $(me).parent().parent();
             $(tr).find("td").eq(5).children("input:last-child").attr("disabled","disabled");
             $(tr).find("td").eq(6).children("input:last-child").attr("disabled","disabled");
              $(tr).find("td").eq(5).children("input:last-child").val("");
              $(tr).find("td").eq(6).children("input:last-child").val("");
        }
        getTotalDiscountAndTotalApplied();
        updateOtherCharges();
    }
     
    function loadPayerDetailsValue(){
        $.ajax({
            type: "POST",
            data: "payer=" + $("#payer").val(),
            url: "<?php echo base_url() ?>artransaction/loadPayerDetailsValue",
            success: function(data) {
                $("#bodyListPendingInvoices").empty();
                var rs = eval ("(" + data + ")"); 
                var n=rs.recordSet.length;
                $("#currency").val(rs.currency);
                $("#exchange_rate").val(rs.exchangeRate);
                $("#previewOutOfBalance").val(rs.outOfBalance);
                nList = 0;
                var tbody='';
                for (i=0;i<n;i++){
                    tbody=tbody + '<tr>' + 
                                  '    <td>' + (++nList) + '</td>' +
                                  '    <td>' + rs.recordSet[i].formNo + ' [' + rs.recordSet[i].ID + ']' + '</td>' +
                                  '    <td>' + rs.recordSet[i].salesInvoiceDate + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalamount, 2)  + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalReceivable, 2)  + '</td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input data-invoiceID="'+ rs.recordSet[i].ID  +'" onchange="activateOrDesactivate(this)" type="checkbox" /> </td>' +
                                  '</tr>'
                }
                $("#bodyListPendingInvoices").append(tbody);
            }
        });
    }
    
    function selecOrUnselecttAll(me){
        if($(me).is(':checked')){
           $("#listDetails > tbody > tr").each (function(){
              var tr = $(this);
              v = $(tr).find("td").eq(4).text();
              $(tr).find("td").eq(5).children("input:last-child").val("0");
              $(tr).find("td").eq(6).children("input:last-child").val(v);
              $(tr).find("td").eq(7).children("input:last-child").prop("checked",true);
              $(tr).find("td").eq(5).children("input:last-child").removeAttr("disabled");
             $(tr).find("td").eq(6).children("input:last-child").removeAttr("disabled");
           });
        }else {
            $("#listDetails > tbody > tr").each (function(){
              var tr = $(this);
              v = $(tr).find("td").eq(4).text();
              $(tr).find("td").eq(5).children("input:last-child").val("");
              $(tr).find("td").eq(6).children("input:last-child").val("");
              $(tr).find("td").eq(7).children("input:last-child").prop("checked",false);
              $(tr).find("td").eq(5).children("input:last-child").attr("disabled","disabled");
             $(tr).find("td").eq(6).children("input:last-child").attr("disabled","disabled");
            });
        }
        getTotalDiscountAndTotalApplied();
    }
    
    function getTotalDiscountAndTotalApplied(){
        var totalDiscount = 0;
        var totalApplied = 0;
        $("#listDetails > tbody > tr").each (function(){
            var tr = $(this);
            var ck = $(tr).find("td").eq(6).children("input:last-child");
            if($(ck).length){
                totalDiscount += accounting.unformat($(tr).find("td").eq(5).children("input:last-child").val())*1;
                totalApplied += accounting.unformat($(tr).find("td").eq(6).children("input:last-child").val())*1;
            }else{
                totalDiscount += accounting.unformat($(tr).find("td").eq(5).text())*1;
                totalApplied += accounting.unformat($(tr).find("td").eq(6).text())*1;
            }
        });
         if (isNaN(totalDiscount))
            totalDiscount =0;
        if (isNaN(totalApplied))
            totalApplied = 0;
        $("#totalapplied").val(accounting.formatNumber(totalApplied, 2));
        $("#totaldiscount").val(accounting.formatNumber(totalDiscount, 2));
        updateOtherCharges ();
    }
     
    
    function updateTotalReceive(){
        var tRec = accounting.unformat($("#previewOutOfBalance").val())*1 + accounting.unformat($("#amountreceive").val())*1;   
        if (isNaN(ob))
            ob =0;
        if (isNaN(tRec))
            tRec = 0;
        $("#totalreceived").val(accounting.formatNumber(tRec, 2));
        var ob = accounting.unformat($("#totalreceived").val()) - accounting.unformat($("#totalapplied").val()) -accounting.unformat($("#totalotherscharges").val());
        $("#outofbalance").val(accounting.formatNumber(ob, 2));
    }
    
    function editRow(me){
        if(!$("#_mntDiscount").length){
        var tr = $(me).parent().parent();
        var td1 =$(tr).find("td").eq(5);
        var v = $(td1).text();
        $(td1).empty();
        $(td1).append (
                "<input id='_mntDiscount' data-previewvalue='" + v + "' type='text' value ='" + v +"' onkeyup='getTotalDiscountAndTotalApplied()' class='amount span12' />" 
                );
        var td2 =$(tr).find("td").eq(6);
         var v = $(td2).text();
        $(td2).empty();
        $(td2).append (
                "<input id='_montAplied' data-previewvalue='" + v + "' type='text' value ='" + v +"' onkeyup='getTotalDiscountAndTotalApplied()' class='amount span12' />" 
                );
        
        var td3 =$(tr).find("td").eq(7);
         $(td3).empty();
        $(td3).append (
                 '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="updatePaymentRow(this)" class="btn btn-mini btn-primary"><i class="icon-ok-circle icon-white"></i></button>' +
                  '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="canceledit(this)" class="btn btn-mini"><i class="icon-remove-circle"></i></button>'
                );
    }else {
            $("#msgDiv").attr("class","alert alert-error");
             $("#msgDiv").html("Oops !!! A row is being edit ...");
        }
        
    }
    
    function canceledit(me){
        var tr = $(me).parent().parent();
        var td1 =$(tr).find("td").eq(5);
        var v = $("#_mntDiscount").attr("data-previewvalue");
        $(td1).empty();
        $(td1).text(v);
         var v = $("#_montAplied").attr("data-previewvalue");
          var td2 =$(tr).find("td").eq(6);
         $(td2).empty(); 
        $(td2).text (v);
        
        var td3 =$(tr).find("td").eq(7);
         $(td3).empty();
        $(td3).append (
                 '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="editRow(this)"   class="btn btn-mini btn-primary"><i class="icon-pencil icon-white"></i></button>' +
                 ' <button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="deleteRow(this)" class="btn btn-mini btn-danger"><i class="icon-trash icon-white"></i></button>'
                );
        getTotalDiscountAndTotalApplied();
    }
    
    function updateOtherCharges(){
         var t = accounting.unformat($("#bankcharges").val()) - accounting.unformat($("#totaldiscount").val());
         if (isNaN(t))
            t =0;
         $("#totalotherscharges").val(accounting.formatNumber(t, 2));
         $("#totalotherschargesCopy").val(accounting.formatNumber(t, 2));
         updateTotalReceive();
    } 
     
    
    
    
    function updatePaymentRow(me){
        var tr = $(me).parent().parent();
         $.ajax({
                type: "POST",
                data: {
                    
                  detaildId : $(me).attr("data-myid"),
                  discount : accounting.unformat($("#_mntDiscount").val()),
                  amountApplied : accounting.unformat($("#_montAplied").val()),
                  
                  
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalReceived : accounting.unformat($("#totalreceived").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").attr("data-OldValue")) - accounting.unformat($("#outOfBalance").val()) ,
                  
                  invoiceId:  $(me).attr("data-invoiceid"),
                  totalReceivable : accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),
            
                },
                url: "<?php echo base_url() ?>arTransaction/updatePaymentRow",
                success: function(data) {
                    if (data>0){ 
                        $("#msgDiv").attr("class","alert alert-success");
                        $("#msgDiv").html("Well Done !!! Payment Successfully Updated ");
                    } else {
                        $("#msgDiv").attr("class","alert alert-error");
                        $("#msgDiv").html("Oops !!! fail to update data ");
                    }
                    var td1 =$(tr).find("td").eq(5);
                    var v = $("#_mntDiscount").val();
                    $(td1).empty();
                    $(td1).text(v);
                     var v = $("#_montAplied").val();
                      var td2 =$(tr).find("td").eq(6);
                     $(td2).empty(); 
                    $(td2).text (v);

                    var td3 =$(tr).find("td").eq(7);
                     $(td3).empty();
                    $(td3).append (
                             '<button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="editRow(this)"   class="btn btn-mini btn-primary"><i class="icon-pencil icon-white"></i></button>' +
                             ' <button data-invoiceid="'+ $(me).attr("data-invoiceid") +'" data-myid="'+ $(me).attr("data-myid") +'" onclick="canceledit(this)" class="btn btn-mini btn-danger"><i class="icon-trash icon-white"></i></button>'
                            );
                      }
            });
            
        
    }
    function deleleteTR(me){
           var td=me.parentNode;
              var tr=td.parentNode;
              var tBody=tr.parentNode;
              tBody.removeChild(tr);
    }
 
    function deleteRow(me){
            $("#_popupTitle").html("Confirm delete");
            $("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");
            $('#_popupFooter').empty();
            $('#_popupFooter').append('<button class="btn btn-danger" id="_ok">Ok</button>' +
            '<button class="btn" id="canb">Cancel</button>');
            $("#_popupTitle").html("Confirm delete");
            $("#canb").click(function() {
            $('#popupModal').modal('hide');
         });
          $('#popupModal').modal('show');
         $("#_ok").click(function() {
            $('#popupModal').modal('hide');
          //  discount : accounting.unformat($("#_mntDiscount").val()),
          //  amountApplied : accounting.unformat($("#_montAplied").val()),
            
            var tr = $(me).parent().parent();
            var myid =$(me).attr("data-myid");
            $(tr).find("td").eq(4).text();
            
            $(tr).find("td").eq(7).children("button:first-child").trigger( "click" );
            $("#_mntDiscount").val(0);
            $("#_montAplied").val(0);
            
            getTotalDiscountAndTotalApplied();
            
            
              $.ajax({
                type: "POST",
                data: {
                    
                  detaildId : $(me).attr("data-myid"),
                  discount : accounting.unformat($("#_mntDiscount").val()),
                  amountApplied : accounting.unformat($("#_montAplied").val()),
                  
                  
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalReceived : accounting.unformat($("#totalreceived").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").attr("data-OldValue")) - accounting.unformat($("#outOfBalance").val()) ,
                  
                  invoiceId:  $(me).attr("data-invoiceid"),
                  totalReceivable : accounting.unformat($("#_montAplied").attr("data-previewvalue")) - accounting.unformat($("#_montAplied").val()) + accounting.unformat($(tr).find("td").eq(4).text()),
            
                },
                url: "<?php echo base_url() ?>arTransaction/updatePaymentRow",
                success: function(data) {
                      }
            });
            var adf = document.getElementById("_montAplied");
            
            deleleteTR (adf);
            
            $.ajax({
                   type: "POST",
                    data: {
                    id :myid
                    },
                    url: "<?php echo base_url() ?>artransaction/deletePaymentDetailRow",
                    success: function(data) {
                         $("#msgDiv").attr("class","alert alert-success");
                        $("#msgDiv").html("Payment Successfully deleted ");
              } });  
    });
    }
    
    function addInvoices(){
        $("#listDetails").append("<tr id='_mytr'><td colspan='7'>\n\
         <div class='alert alert-info'>Out Standing Invoices</div></td><td class='center'><input onchange='selecOrUnselecttAll(this)' type='checkbox' /></td></tr>");
         $.ajax({
            type: "POST",
            data: "payer=" + $("#payer").attr("data-id"),
            url: "<?php echo base_url() ?>artransaction/loadPayerDetailsValue",
            success: function(data) {
                var rs = eval ("(" + data + ")"); 
                var n=rs.recordSet.length;
                nList = 0;
                var tbody='';
                for (i=0;i<n;i++){
                    tbody=tbody + '<tr>' + 
                                  '    <td>' + (++nList) + '</td>' +
                                  '    <td>' + rs.recordSet[i].formNo + ' [' + rs.recordSet[i].ID + ']' + '</td>' +
                                  '    <td>' + rs.recordSet[i].salesInvoiceDate + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalamount, 2)  + '</td>' +
                                  '    <td class="amount">' + accounting.formatNumber(rs.recordSet[i].totalReceivable, 2)  + '</td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td><input onkeyup ="getTotalDiscountAndTotalApplied()" disabled type="text" class="span12 amount" /> </td>' +
                                  '    <td class="center"><input data-invoiceID="'+ rs.recordSet[i].ID  +'" onchange="activateOrDesactivate(this)" type="checkbox" /> </td>' +
                                  '</tr>'
                }
                $("#listDetails").append(tbody);
                $("#btnSave").text("Save");
                $("#btnSave").attr("onclick","saveNewInvoices()");
                
            }
        });
    }
    
    function saveNewInvoices(){
            pDetails ='{"rs":[';
            firstime = true;
           // var selectedRow = "";
            var myRows =$("#totalreceived").attr("data-lastRow");
            $("#listDetails > tbody > tr").each (function(){
                var tr = $(this);
                var ck = $(tr).find("td").eq(7).children("input:last-child");

                if($(ck).is(':checked')){
                    str ='';
                    if (firstime){
                     firstime = false;
                     str = ''
                    }else {
                       firstime = false;
                        str = ',' 
                    }
                    arBalance = accounting.unformat($(tr).find("td").eq(4).text())*1;
                    mntDiscount = accounting.unformat($(tr).find("td").eq(5).children("input:last-child").val())*1;
                    mntApplied = accounting.unformat($(tr).find("td").eq(6).children("input:last-child").val())*1;
                    pDetails += str + '{"invoiceID":"' + $(ck).attr("data-invoiceid") + '"' +
                                  ',"amountApplied":"' + mntApplied + '"' +
                                  ',"arBalance":"' + arBalance + '"' +
                                  ',"discount":"' + mntDiscount + '"}';
                   /* selectedRow = selectedRow + '<tr><td>' + (++myRows) + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(1).text() + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(2).text() + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(3).text() + '</td>\n\
                                                     <td>' + $(tr).find("td").eq(4).text() + '</td>\n\
                                                                                            '; */
                }
            });
            pDetails += ']}';
            
            $.ajax({
                type: "POST",
                data: {
                  lastLine : $("#totalreceived").attr("data-lastRow"),
                  masterId:  $("#_masterId").val(),
                  memo: $("#memo").val(),
                  bankCharges:  accounting.unformat($("#bankcharges").val()),
                  totalDiscount:  accounting.unformat($("#totaldiscount").val()),
                  totalOtherCharge: accounting.unformat($("#totalotherscharges").val()),
                  totalApplied:  accounting.unformat($("#totalapplied").val()),
                  totalReceived : accounting.unformat($("#totalreceived").val()),
                  outOfBalance : accounting.unformat($("#outOfBalance").attr("data-OldValue")) - accounting.unformat($("#outOfBalance").val()) ,
                  pdetail : pDetails
                },
                url: "<?php echo base_url() ?>arTransaction/addpaymentdetailsOnly",
                success: function(data) {
                    if (data>0){ 
                        $("#btnSave").attr("class"," btn btn-primary disabled");
                        $("#msgDiv").attr("class","alert alert-success");
                        $("#msgDiv").html("Well Done !!! Update Successfully made ");
                    } else {
                        $("#msgDiv").attr("class","alert alert-error");
                        $("#msgDiv").html("Oops !!! fail to update data ");
                    }
                    location.reload();
                }
            });
    }
 

</script>
<style>
    tbody td {
        font-size:11px;}
    </style>


<div id="content"> 
    <div class="wrap">
        <div class="head">
            <div class="info">
                <h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "gl/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('title') ?></li>
                </ul>
            </div>

            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>        

        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="paymentForm" action="#">    
                <div class="row-fluid">
                    <div class="alert alert-info">
                        <strong><?php echo $this->lang->line('title') ?></strong>
                    </div>
                </div>
      	<div class="block">
      	<div class="content">
            <?php
              $address = "";
              $memo ="";
              $totalReceive = "";
              $totalApplied = "";
              $totalOtherCharges = "";
              $outOfBalance = "";
              $totalDiscount = "";
              $totalBankCharge = "";
                     
            if ($master){	 
                 foreach($master as $rowIn){
                      $memo =$rowIn->memo;
                      $totalReceive = $rowIn->totalReceived;
                      $totalApplied = $rowIn->totalApplied;
                      $totalOtherCharges = $rowIn->totalOtherCharge;
                      $outOfBalance = $rowIn->outOfBalance;
                      $totalDiscount = $rowIn->totalDiscount;
                      $totalBankCharge = $rowIn->bankCharges;
            ?> 
                <div class="row-fluid scRow"> 
                   
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_1">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('payer') ?></div>
                                    <div class="span8">
                                         <input type="hidden" id="_masterId" value="<?php echo $rowIn->myid ?>" />
                                         <input id="payer" data-id="<?php echo $rowIn->customerID ?>" value="<?php echo $rowIn->customerName; ?>" type="text" disabled="disabled" class="span12"/>
                                    </div>
                                </div> <!-- row -->

                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('currency') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->currencyWord ?>" type="text" disabled="disabled" class="span12"/>           
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('exchangerate') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->exchangeRate ?>" type="text" disabled="disabled" class="span12"/>           
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('project') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->project_name ?>" type="text" disabled="disabled" class="span12"/>
                                        
                                    </div>
                                </div> <!-- row control -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('formno') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo $rowIn->formNo ?>" type="text" disabled="disabled" class="span12"/>
                                    </div>
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('date') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->receivePaymentDate ?>" type="text" disabled="disabled" class="span12"/>
                                    </div>
                                </div> <!-- row -->
                        </div><!-- grid block 1-->
                        
                        
                    </div><!-- scCol -->
                    <div class="span6 scCol">
                        <div class="block" id="grid_block_2">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('bank') ?></div>
                                    <div class="span8">
                                       <input value="<?php echo $rowIn->bankName ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('acctno') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo $rowIn->bankAccountNo ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                 
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('paymentmethod') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->paymentMethod ?>" type="text" disabled="disabled" class="span12"/>
                                    </div><!-- span -->
                                </div><!-- control row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('refno') ?></div>
                                    <div class="span8">
                                         <input value="<?php echo $rowIn->referenceNo ?>" type="text" disabled="disabled" class="span12"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                 <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('previewOutOfBalance') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo number_format($rowIn->outOfBalance,2) ?>" id="previewOutOfBalance" type="text" disabled="disabled" class="span12 amount"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                                
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('amountreceive') ?></div>
                                    <div class="span8">
                                        <input value="<?php echo number_format($rowIn->totalReceived,2) ?>" onkeyup="updateTotalReceive()" type="text" id="amountreceive" class="span12 amount"/>            
                                    </div><!-- span -->
                                </div><!-- control row -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div>
            <?php }}?>
                </div>
                </div>
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('listofinvoices') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span>
                                        </a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo $this->lang->line('invoiceno') ?></th>
                                            <th><?php echo $this->lang->line('invoicedate') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('totalamount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('arbalance') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('discount') ?></th>
                                            <th class="amount"><?php echo $this->lang->line('amountapplied') ?></th>
                                            <th class="center"><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody id="bodyListPendingInvoices">
                                        <?php
                                         $lastRow = 0;
                                        if ($details){	 
                                             foreach($details as $row){
                                                 if ($row->lineNo>$lastRow)
                                                     $lastRow = $row->lineNo;
                                        ?> 
                                        <tr>
                                            <td><?php echo $row->lineNo ?></td>
                                            <td><?php echo $row->formNo ?></td>
                                            <td><?php echo $row->salesInvoiceDate ?></td>
                                            <td class="amount"><?php echo number_format($row->totalamount,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->totalReceivable,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->discount,2) ?></td>
                                            <td class="amount"><?php echo number_format($row->amountApplied,2) ?></td>
                                            <td class="center">
                                                <button data-invoiceid="<?php echo $row->invoiceID ?>" data-myid="<?php echo $row->myid ?>" onclick="editRow(this)" class="btn btn-mini btn-primary"><i class="icon-pencil icon-white"></i></button>
                                                <button data-invoiceid="<?php echo $row->invoiceID ?>" data-myid="<?php echo $row->myid ?>" onclick="deleteRow(this)" class="btn btn-mini btn-danger"><i class="icon-trash icon-white"></i></button>
                                            </td>
                                        </tr>
                                        <?php }} ?>
                                    </tbody>
                                </table>     
                            </div><!-- content -->
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->

                <div class="row-fluid scRow">  

                    <div class="span4 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content">
                                <div class="controls-row">
                                    <textarea disabled  id="adress" class="span12" placeholder="Adress"></textarea>
                                </div>
                                 <div class="controls-row">
                                    <textarea  id="memo" class="span12" placeholder="Memo"><?php echo $memo; ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="span4 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">

                                    <div class="span5"><?php echo $this->lang->line('totaldiscount') ?></div>
                                    <div class="span7">
                                        <input id="totaldiscount" data-oldValue ="<?php echo $totalDiscount; ?>"  value="<?php echo $totalDiscount; ?>" class="span12 amount" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('bankcharges') ?></div>
                                    <div class="span7">
                                        <input id="bankcharges" data-oldValue ="<?php echo $totalBankCharge; ?>"  value="<?php echo $totalBankCharge; ?>" class="span12 amount" type="text" onkeyup="updateOtherCharges()" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalotherscharges') ?></div>
                                    <div class="span7">
                                        <input id="totalotherscharges" data-oldValue ="<?php echo $totalOtherCharges; ?>"  value="<?php echo $totalOtherCharges; ?>" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                               
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group"> </div><!-- btn group -->      
                                        </div><!-- side fr -->      
                                </div><!-- footer --> 
                            </div>    
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                    
                    <div class="span4 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">

                                    <div class="span5"><?php echo $this->lang->line('totalreceived') ?></div>
                                    <div class="span7">
                                         
                                        <input data-lastRow="<?php echo $lastRow; ?>" onchange="updateTotalReceive()" id="totalreceived" class="span12 amount" data-oldValue ="<?php $totalReceive ?>" value="<?php echo number_format($totalReceive,2); ?>" type="text" placeholder="0" disabled="disabled" >
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalapplied') ?></div>
                                    <div class="span7">
                                        <input id="totalapplied" data-oldValue ="<?php echo $totalApplied; ?>" class="span12 amount validate[required min[1]]" value="<?php echo number_format($totalApplied,2); ?>" type="text" disabled="disabled"  placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('totalotherscharges') ?></div>
                                    <div class="span7">
                                        <input id="totalotherschargesCopy" data-oldValue ="<?php echo  $totalOtherCharges; ?>" value="<?php echo number_format($totalOtherCharges,2); ?>" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                 <div class="controls-row">
                                    <div class="span5"><?php echo $this->lang->line('outofbalance') ?></div>
                                    <div class="span7">
                                        <input id="outofbalance" disabled="disabled" data-oldValue ="<?php echo $outOfBalance; ?>" value="<?php echo number_format($outOfBalance,2); ?>"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                               
                            </div>    
                        </div><!-- grid block 4-->
                    </div><!-- scCol -->
                    
                </div><!-- row-fluid scRow-->
                
                
                
                <div class="row-fluid scRow">  
                    <div class="span8 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content">
                                <div style="padding:0;" class="controls-row">
                                    <div id="msgDiv" style="min-height: 22px;" class="alert alert-info">  </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="span4 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content">
                                <div class="controls-row side fr">
                                    <a href="<?php echo base_url() ?>companySetup/compRecPaymentList/post" class="btn ">Conform List</a>
                                    <a id="btnSave" onclick="addInvoices()" class="btn btn-primary"><?php echo $this->lang->line('addinvoice') ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div><!-- row-fluid scRow-->
            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div><!-- content -->



